summaryrefslogtreecommitdiff
path: root/amavis
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2003-10-15 21:09:39 +0000
committerJonas Smedegaard <dr@jones.dk>2003-10-15 21:09:39 +0000
commit49ccfcec9c2f42c7763770cb81096c9cadffeb58 (patch)
treee99d09fef5c13a85250ce7ecf52dfa7c6684bc28 /amavis
parent83f7d564dc609b22911c1b022b5059c836f6e0e5 (diff)
Add local weekly cron job for amavis.
Diffstat (limited to 'amavis')
-rwxr-xr-xamavis/local-amavis11
1 files changed, 11 insertions, 0 deletions
diff --git a/amavis/local-amavis b/amavis/local-amavis
new file mode 100755
index 0000000..eef06c9
--- /dev/null
+++ b/amavis/local-amavis
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# local amavis cron weekly
+
+set -e
+
+if [ -x /usr/bin/archivemail ]; then
+ for mbox in spam-quarantine spamalert virus-quarantine virusalert; do archivemail -d 30 --delete -q /var/lib/amavis/mboxes/$mbox; done
+fi
+
+exit 0